.footer {
    font-size: rem(14);
    line-height: rem(20);
    padding-top: rem(24);
    padding-bottom: rem(24);
    background-color: var(--gray-5);
    border-top: 1px solid var(--gray-10);

    &__wrap {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: rem(16);
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(16);
    }

    &__logo {
        display: block;
        flex-shrink: 0;
        width: rem(194);
    }

    &__divider {
        width: rem(2);
        height: rem(28);
        flex-shrink: 0;
        border-radius: 2px;
        background-color: var(--gray-20);

        &--lg {
            display: none;
        }
    }

    &__copy {
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-50);
        text-align: center;

        &--xl {
            display: none;
        }
    }

    &__info {
        width: 100%;
        max-width: rem(400);
    }

    &__nav {
        display: none;
    }

    &__secondary {
        display: none;
    }

    &__resource {
        color: var(--gray-50);
        text-decoration: underline;
        transition: var(--transition-time);

        &:hover {
            color: var(--gray-50);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__contacts {
        display: none;
    }

    &__callback {

        .btn {
            background-color: transparent;

            &:hover {
                border-color: var(--blue);
                background-color: var(--blue);
            }

            &:active {
                background-color: transparent;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(lg) {

        &__content {
            column-gap: rem(30);
        }

        &__info {
            width: auto;
            min-width: rem(242);
            max-width: rem(400);
        }

        &__divider {

            &--lg {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(48);
        padding-bottom: rem(48);

        &__wrap {
            align-items: flex-start;
        }

        &__main {
            align-items: flex-start;
            justify-content: flex-start;
        }

        &__content {
            margin-bottom: rem(10);
            justify-content: flex-start;
            column-gap: rem(16);
        }

        &__copy {

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__divider {

            &--lg {
                display: none;
            }
        }

        &__nav {
            font-weight: 600;
            font-size: rem(13);
            line-height: rem(20);
            display: flex;
            align-items: center;
            column-gap: rem(48);
            margin-bottom: rem(26);
        }

        &__link {
            display: block;
            font-weight: 600;
            white-space: nowrap;
            color: var(--gray-60);
            text-decoration: none;
            transition: var(--transition-time);

            &:hover {
                color: var(--blue);
                text-decoration: none;
                transition: var(--transition-time);
            }
        }

        &__logo {
            width: rem(170);
        }

        &__secondary {
            font-size: rem(12);
            line-height: rem(16);
            display: flex;
            flex-direction: column;
            row-gap: rem(8);
            align-items: flex-start;
        }

        &__contacts {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            row-gap: rem(10);
            margin-bottom: rem(16);
        }
    }

    @include media-breakpoint-up(xxl) {}
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
